Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 431186 - Review Request: itools - Command line tools for The Islamic Tools and Libraries Project
Summary: Review Request: itools - Command line tools for The Islamic Tools and Librari...
Keywords:
Status: CLOSED DUPLICATE of bug 620990
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 431181
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-02-01 12:25 UTC by Mohd Izhar Firdaus Ismail
Modified: 2010-08-08 16:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-03 17:19:45 UTC


Attachments (Terms of Use)

Description Mohd Izhar Firdaus Ismail 2008-02-01 12:25:29 UTC
Spec URL: http://izhar.fedorapeople.org/itl/itools.spec
SRPM URL: http://izhar.fedorapeople.org/itl/itools-0.6.2-1.fc8.src.rpm
Description:

The Islamic Tools and Libraries (ITL) is a project
to provide a plethora of useful Islamic tools and
applications as well as a comprehensive feature-full
Islam-centric library. The ITL project currently
includes Hijri date, Muslim prayer times, and Qibla.

This package contains several command line tools written using ITL

Comment 1 Jason Tibbitts 2008-02-23 00:11:04 UTC
This failed to build for me:

+ ./autogen.sh
Running autoconf...
./autogen.sh: line 20: autoconf: command not found
You can now run "./configure" and then "make".
+ exit 0

which is kind of surprising because the build didn't fail there.  Instead it
continues until:

+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu
--target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr
--exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
--libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com
--mandir=/usr/share/man --infodir=/usr/share/info
/var/tmp/rpm-tmp.90648: line 36: ./configure: Permission denied
error: Bad exit status from /var/tmp/rpm-tmp.90648 (%build)

I added a build dependency on automake and things get further, but still fail at:

checking for -litl in /usr/lib/itl... checking for -litl in /usr/lib/... no
library 'itl' is missing
+ make -j8
make: *** No targets specified and no makefile found.  Stop.

Now, libitl-devel is indeed installed, but I'm building on an x86_64 machine so
the library is in /usr/lib64.  I guess the package will need some fixing.

Comment 2 Mohd Izhar Firdaus Ismail 2008-03-02 13:45:21 UTC
Thanks,

Yeah, seems like it does not check at /usr/lib64. 

Patched configure.in and included a pre-generated configure script together to
remove dependency from autotools.

http://izhar.fedorapeople.org/itl/itools.spec
http://izhar.fedorapeople.org/itl/itools-0.6.2-2.fc9.src.rpm

Comment 3 Nicolas Chauvet (kwizart) 2008-07-03 17:02:48 UTC
Are you still here ?
It seems that nobody as formally reviewed this package.
The best tips in this case is to switch packages review with other packagers...

(i could do this if i get an answer)

Comment 4 Mohd Izhar Firdaus Ismail 2008-07-06 11:12:06 UTC
still here, still here :D

Comment 5 Nicolas Chauvet (kwizart) 2008-07-08 17:19:29 UTC
- starting review - 

Comment 6 Nicolas Chauvet (kwizart) 2008-07-08 17:55:29 UTC
* Package is the last version - OK
* Source from website and src.rpm have the same sha1sum - OK
b0da901b9f1b4a5410f7ca54049fa28243f444b7  itools-0.6.2.tar.bz2
1/ Source from website and src.rpm have the different timestramps
-rw-rw-r-- 1 builder builder 31402 mar 18  2005 itools-0.6.2.tar.bz2
-> You need to use wget -N to download the source tarball
2/ Source URL is wrong - please fix to :
 http://downloads.sourceforge.net/arabeyes/itools-%{version}.tar.bz2
-> Doing so will use the sf mirrors instead of only one mirror
3/ Providing configure as Source1 is wrong 
-> You need to BuildRequires autoconf and run autoconf in %prep to avoid to
bundle the whole configure script as soon as you modify the configure.in file.
4/ Patch0 could be improved. Instead of using cp you can use cp -p to prevent
timestamps changes for the man pages (keeping timestamps for binaries isn't
relevant)
5/ COPYING is present within the sources and thus needs to be provided within
the %doc
6/ man pages don't need to use the %doc macro.
* Build have been tested in mock - (F-9 i386/x86_64 ) OK 
* rpmlint is clean from both uninstalled and installed packages
* Usability has been tested - OK
* Install/Uninstall tested - OK


Comment 7 Nicolas Chauvet (kwizart) 2008-09-02 13:13:37 UTC
ping
Is there something you don't understand ? (or you don't agree with ?)

Comment 8 Mohd Izhar Firdaus Ismail 2008-12-03 17:19:45 UTC
theres some problem with the app itself and upstream aint responding .. 

closing this review request as i lost interest with it. The Minbar GUI (which already in the repos) pretty much provide what I need.

Comment 9 Mamoru TASAKA 2010-08-08 16:46:26 UTC

*** This bug has been marked as a duplicate of bug 620990 ***


Note You need to log in before you can comment on or make changes to this bug.